Subject: Re: [Gen-art] Gen-ART LC review of draft-bryan-metalink-24.txt

From: Anthony Bryan <[email-masked]>
Date: Sun, 20 Dec 2009 17:21:33 -0500

Brian, thank you for the review & happy holidays. :)

On Sun, Dec 20, 2009 at 4:50 PM, Brian E Carpenter
<[email-masked]> wrote:
>
> I have been selected as the General Area Review Team (Gen-ART) reviewer
> for this draft (for background on Gen-ART, please see
> http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
> Please resolve these comments along with any other Last Call comments
> you may receive.
>
> Document: draft-bryan-metalink-24.txt
> Reviewer: Brian Carpenter
> Review Date: 2009-12-21
> IETF LC End Date: 2010-01-08
> IESG Telechat date:
>
> Summary: Technically ready, but one copyright issue
> --------
>
> Major issues:
> -------------
>
> Note that the inclusion of the pre-5378 disclosure makes it unclear
> whether the RelaxNG code can be licensed by the Trust in the normal way
> (simplified BSD) under the current rules. It would be worth checking on this,
> and maybe including some clarification beyond the standard boilerplate. If
> the RelaxNG code is in fact submitted under RFC5378 conditions, i.e. is
> not derived from older work, stating that fact would probably be enough.
> If the code is in fact subject to RFC3978 conditions, stating that fact would
> be helpful.

The latest revision (-25, unsubmitted) contains changes due to
comments during last call:
http://metalinks.svn.sourceforge.net/viewvc/metalinks/internetdraft/

We use "trust200902" in it. Does that resolve this issue?

> Minor issues:
> -------------
>
> This is a bit picky, but section 4.1.2 contains a series of rules like
> this one:
>
>    o  metalink:file elements MAY contain exactly one metalink:copyright
>       element.
>
> Note that (if parsed rigorously according to RFC2119) this does not forbid an
> element that contains more than one metalink:copyright element. To be rigorous,
> you'd have to add "and MUST NOT contain more than one such element". I'm not sure
> if you want to go there...

Let's be rigorous. I'll make those changes.

Why wouldn't we want to go there?

> Comment:
> --------
>
> I have not checked any of the RelaxNG code from a technical viewpoint.

Julian Reschke recently checked it, and those changes are in the
latest revision.

-- 
(( Anthony Bryan ... Metalink [ http://www.metalinker.org ]
  )) Easier, More Reliable, Self Healing Downloads

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 21 Dec 2009 16:04:04 +1300

> We use "trust200902" in it. Does that resolve this issue?

That will work for me!

> Why wouldn't we want to go there?

Oh, only because it would make the text a bit noisy. But it should prevent
misunderstandings down the road.

> Julian Reschke recently checked it, and those changes are in the

Excellent.

Thanks, and happy holidays.

    Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 23 Dec 2009 16:39:04 +1300

(Copying the gen-art list to put this on record)

The changes in your proto-25 version look good to me.
Thanks!

I will probably be asked to review this again formally
when it gets to the IESG agenda. I don't foresee any
further issues.

    Brian

On 2009-12-21 18:54, Anthony Bryan wrote:
> On Sun, Dec 20, 2009 at 10:04 PM, Brian E Carpenter
> I looked at Atom, which my draft follows quite a bit, & it uses this
> phrasing for similar elements
> 
> "atom:feed elements MUST NOT contain more than one atom:icon element."
> 
> Which phrasing is preferable? I guess it is less ambiguous if you're
> told what you MAY and MUST NOT do, as opposed to just what MUST NOT be
> done?
> 
> If possible, could you verify that I made the changes correctly? It
> would be appreciated. There were some spots in 4.1.1 and 4.1.2
> 
> Thank you!